QGIS Application - Bug report #14802
OTB was not found or is not correctly installed
2016-05-11 12:25 AM - Carlos Hernando

Status: Closed
Priority: Normal
Assignee:

Category: Build/Install

Affected QGIS version:2.14.2
Operating System: Windows 7
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 22759

Description

After installing QGIS Essen 2.14.2 with the standalone installer and executing QGIS, | found this message in the "Processing" tab of the

"Log Messages Panel™:

"Problem with OTB installation: OTB was not found or is not correctly installed"

If I open the "Processing options" | can see that all the paths for Orfeo Toolbox are empty.

In the official documentation of QGIS 2.8, it says: "Make sure you install QGIS in your system using the standalone installer. That will

automatically install SAGA, GRASS and OTB in your system and configure them so they can be run from QGIS"

History

#1 - 2016-05-11 05:22 AM - Alexander Bruy
- Status changed from Open to Feedback

Can you check if you have OTB installed?

#2 - 2016-05-11 05:46 AM - Carlos Hernando
- File otb_processing_folder_.PNG added

| did not install OTB with OSGeo4W, as according to the documentation QGIS standalone installation should take care of it.

Checking for OTB folders within the Essen QGIS folder | only find the one of the image attached (they seems only pyhton bindings, not the OTB

applications).
Should | check somewhere else?

#3 - 2016-05-11 07:54 AM - Jiirgen Fischer

- Category changed from 120 to Build/Install

#4 - 2016-05-11 08:21 AM - Jiirgen Fischer
- Assignee deleted (Victor Olaya)

otb-bin was only included in the x86 standalone installer. You can add it with setup on 64bit.

#5 - 2016-05-17 12:08 AM - Carlos Hernando
| assume that you mean with the OSGeo4W installer setup. don't you?

#6 - 2016-05-18 12:45 AM - Carlos Hernando
- Status changed from Feedback to Closed

| have installed otb-bin with OSGeo4W installer and set the corresponding paths in the QGIS Processing Options:

OTB applications folder: C:\\OSGeo4W64\\apps\\orfeotoolbox\\applications
OTB command line tools folder: C:\OSGeo4W64\\bin

Then, OTB is correctly installed in QGIS and | can use the OTB applications from the Processing Toolbox.

Thank you for your help. | close the issue, as it is solved.

Files

otb_processing_folder .PNG 132 KB 2016-05-11
